﻿/* ----- Normal textbox ------ */
input[type="text"].nor_txt, input[type="password"].nor_txt, textarea.nor_txt {
    padding: 4px 4px 4px 4px;
    border: solid 1px #dcdcdc;
    transition: box-shadow 0.3s, border 0.3s;
    resize:none;
}

input[type="text"].nor_txt:focus,     input[type="text"].nor_txt.focus, 
input[type="password"].nor_txt:focus, input[type="password"].nor_txt.focus, 
textarea.nor_txt:focus, textarea.nor_txt.focus {
  border: solid 1px grey;
  box-shadow: 0 0 5px 1px lightgrey;
}

/* ----- Textbox span ----- */
.textbox-span {
    width:190px; height:25px; 
    display:block;
}

/* ----- image click ----- */
.img-click {
    height:25px; width:25px; 
    vertical-align:bottom;
    cursor:pointer;
}

/* ----- Textbox with image (Login) ----- */
.textbox-user {
    background: white url(../Images/asp_login_icon_username.png) left no-repeat;
}

.textbox-pass {
    background: white url(../Images/asp_login_icon_locker.png) left no-repeat;
}

input[type="text"].l_img_txt, input[type="password"].l_img_txt {
    padding: 10px 10px 10px 48px;
    border: solid 1px #dcdcdc;
    transition: box-shadow 0.3s, border 0.3s;
}

input[type="text"].l_img_txt:focus,     input[type="text"].l_img_txt.focus,
input[type="password"].l_img_txt:focus, input[type="password"].l_img_txt.focus {
  border: solid 1px grey;
  box-shadow: 0 0 5px 1px lightgrey;
}

/* ----- Dropdown list ----- */
select.nor_ddl {
    padding: 3px 3px 3px 3px;
    border: solid 1px #dcdcdc;
    transition: box-shadow 0.3s, border 0.3s;
}

select.nor_ddl option {
    height:50px;
}

select.nor_ddl:focus, select.nor_ddl.focus {
  border: solid 1px grey;
  box-shadow: 0 0 5px 1px lightgrey;
}

/* ----- Label ----- */
label {
    padding: 3px 3px 3px 3px;
}

/* ----- Grid View ----- */

.nor_grid {
    width:100%;     height:100%;
    text-align:center;
    margin: 0 auto;
    box-shadow: 0 99px 120px -75px lightgreen inset;
}

.nor_grid th {
    padding:10px 10px 10px 10px;
    border-top:1px solid gray;
    border-bottom:1px solid gray;
    /* Same as ".nor_grid th a" */
    color:black;
    font-size:14px;
    font-weight:lighter;
    text-decoration:none;
}

.nor_grid th a {
    color:black;
    font-size:14px;
    font-weight:lighter;
    text-decoration:none;
}

.nor_grid td {
    color:black;
    font-size:12px;
    font-weight:lighter;
    padding:8px 8px 8px 8px;
    cursor: pointer;
    line-height:14px;
}

.gvHighlight {
    cursor: pointer;
    background-color: #DDA0DD;
}

.gvHighlight {
    cursor: pointer;
    background-color: none;
}

.lbl {
    padding:10px;
}

/* Grid - style 01 */

.m_grid_hiddencol { 
	display: none;
}


.m_grid
{
    width:100%;     height:100%;
    text-align:center;
    margin: 0 auto;
}
.mhd_grid th
{
    text-transform : uppercase;     
    font-weight    : lighter;
    background     : #4d4d4d;
    font-size      : 1px;   
    padding        : 10px 10px 10px 10px; 
    border         : 1px solid #0d0d0d;
    color          : white;
    height         : 12px;
}
.mhd_grid a
{
    text-decoration: none;
    text-transform : uppercase; 
	color          : white;
}
.mpg_grid td {
    padding          : 5px 5px 5px 5px; 
    background-color : #D9D9D9;
    border           : 1px solid #999;
    font-weight      : lighter;
    font-size        : 12px;
}
.mpg_grid a
{
    padding          : 5px 5px 5px 5px; 
    text-decoration  : none;
    text-transform   : uppercase; 
	color            : blue;
}
.mpg_grid td span
{
    padding     : 5px 5px 5px 5px; 
    font-weight : bold;
    font-size   : 12px;
}
.mrw_grid td, .mar_grid td
{
    font-weight : lighter;
    font-size   : 12px;
    padding     : 8px 10px 8px 10px; 
    border      : 1px solid #999;
    cursor      : default;
    color       : black;
    line-height : 14px;
}
.mrw_grid td
{
    background-color : #FAFAFF;
}
.mar_grid td
{
    background-color: #F5F5FF;
}
.m_grid_highlight {
    background-color: #CCCCFF !important;
}
.m_gind_padding_0px5px {
    padding:0px 5px !important;
    vertical-align:middle;
}
.mfd_grid td {
    text-transform : uppercase;     
    font-weight    : lighter;
    background     : #4d4d4d;
    font-size      : 12px;
    padding        : 10px 10px 10px 10px; 
    border         : 1px solid #4d4d4d;
    color          : white;
    height         : 12px;
}

.divContents
{
	padding: 25px;
	height: 100%;
	position: relative;
}

/*-------------------------Horizontal Line -- Start------------------*/
.hr-style-one {
    border: 0;
    height: 1px;
    width:100%; 
    background-image: linear-gradient(to right, rgba(0, 0, 0, 0), rgba(0, 0, 0, 1), rgba(0, 0, 0, 0));
    /*background-image: linear-gradient(to right, rgba(0, 0, 0, 1), rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0));*/
}
/*-------------------------Horizontal Line -- End------------------*/

/*-------------------------gridView-01 -- Start------------------*/
.gridView-01   {
    width:100%; 
    height:100%;
    background: white; 
    border-collapse:collapse; 
    text-align:center; 
    border: 0px solid #03014A;
    word-wrap: break-word;
}
.gridView-01 th {
  padding: 2px;
  color: #FFFFFF;
  background: #03014A;
  text-align: center;
  font-size: 15px;
  text-transform: uppercase;
}

.gridView-01 th a   {
  color: #FFFFFF;

}

.gridView-01 td {
    padding: 10px;
    border: 1px solid #c1c1c1;
    color: #03014A;
    font-size: 15px;

}

.gridView-01 .alt-grid  {
    background: #F5F5FF;
}

.gridView-01 .pgr  {
    background: #03014A;
    color: #fff;
}

.gridView-01 .pgr table  {
    margin: 5px 0;
}

.gridView-01 .pgr td  {
    border-width: 0;
    padding: 0 6px;
    border-left: solid 1px #666;
}

.gridView-01 .pgr a  {
    color: #FFFFFF;
    text-decoration: none;
}

.gridView-01 .pgr a:hover  {
    color: #FFFFFF;
    text-decoration: underline;
}
.gridView-01 .pgr .current {
    color: #FFFFFF;
}


/*------------------------- gridView-01 -- End ------------------*/
/*------------------------ div_box -- Start -----------------*/
.div_box_container {
    text-align:center;
    position:relative;   
}

.div_box {
    width:24%;
    min-height:180px;
    background:#FFF;
    margin: 1px auto;
    display:inline-block;
    text-align:left;
    word-wrap:break-word;
}

.div_box h3{
    text-align:center;
    font-size:12pt;
    color: darkblue;
    font-weight:bold;
}

.effect5 {
    word-wrap: break-word;
    border: 1px solid #edf0f3;
    border-top: 0;
    padding: 10px 0 10px 10px; 
    overflow: hidden;
    -moz-border-radius-bottomleft: 3px;
    -moz-border-radius-bottomleft: 3px;
    -webkit-border-bottom-left-radius: 3px;
    -webkit-border-bottom-right-radius: 3px;
    border-bottom-right-radius: 3px;
    border-bottom-right-radius: 3px;
    -moz-box-shadow: 0px 2px 7px rgba(0,0,0,0.25);
    -webkit-box-shadow: 0px 2px 7px rgba(0,0,0,0.25);
    box-shadow: 0px 2px 7px rgba(0,0,0,0.25);
    -ms-filter: "progid:DXImageTransform.Microsoft.Shadow(Strength=3, Direction=180, Color='#333333')";
    filter: progid:DXImageTransform.Microsoft.Shadow(Strength=3, Direction=180, Color='#333333');
}

/*------------------------- div_import -- End ------------------*/
/*------------------------- Buttons -- Start ------------------*/
.btn01 {
	border: none;
    border-radius: 12px;
    background: #02024A;
	font-family: inherit;
	font-size: 14px;
	cursor: pointer;
	padding: 5px;
	display: inline-block;
	margin: 1px;
	text-transform: uppercase;
	letter-spacing: 1px;
	font-weight: 700;
	outline: none;
	position: relative;
	-webkit-transition: all 0.3s;
	-moz-transition: all 0.3s;
	transition: all 0.3s;
	color: #ffffff;

}

.btn01:hover,
.btn01:active {
	color: #ffffff;
	background: #0c1469;
}

/*------------------------- Buttons -- End ------------------*/
/*------------------------- Steps indicator -- Start ------------------*/
.steps_container {
    width: 100%;
    position:relative;
    padding-top: 0%;
}
.steps_bar {
    counter-reset: step;
}
.steps_bar li {
    list-style-type: none;
    float: left;
    width: 25%;
    position: relative;
    text-align: center;
}
.steps_bar li:before {
    content: counter(step);
    counter-increment: step;
    width: 55px;
    height: 35px;
    line-height: 30px;
    border: 2.5px solid #ddd;
    display: block;
    text-align: center;
    margin: 0 auto 10px auto;
    border-radius: 50px;
    background-color: #fff;
}
.steps_bar li:after {
    content: '';
    position: absolute;
    width: 100%;
    height: 1px;
    background-color: #ddd;
    top: 15px;
    left: -50%;
    z-index: -1;
    border: 1.5px dashed; 
}
.steps_bar li:first-child:after {
    content: none;
}
.steps_bar li.active {
    color: #02024a;
}
.steps_bar li.active:before {
    border-color: #00FF00;
    -webkit-animation-name: changeStepAnim; 
    -webkit-animation-duration: 3s;
    animation-name: changeStepAnim;
    animation-duration: 3s;
}
.steps_bar li.active + li:after {
    background-color: #02024a;
}

/* Safari 4.0 - 8.0 */
@-webkit-keyframes changeStepAnim {
    from {border-color: #ddd;}
    to {border-color: #00FF00;}
}

/* Standard syntax */
@keyframes changeStepAnim {
    from {border-color: #ddd;}
    to {border-color: #00FF00;}
}

/*------------------------- Steps indicator -- End ------------------*/
/*------------------------- Expand and collapse upload panel -- Start ------------------*/
.expContainer {
    width:100%;
}
.expContainer div {
    position:relative;
}
.expContainer .expHeader {
    text-align:center;
    color: #fff;
	background: #02024a;
    border: none;
	font-family: inherit;
	font-size: inherit;
	color: inherit;
	background: none;
	cursor: pointer;
	padding: 5px;
	display: inline-block;
	margin: 1px;
	text-transform: uppercase;
	letter-spacing: 1px;
	font-weight: 700;
	outline: none;
	position: relative;
	-webkit-transition: all 0.3s;
	-moz-transition: all 0.3s;
	transition: all 0.3s;
    border: 3px solid #02024a;
	color: #02024a;
}

.expContainer .expHeader:hover,
.expContainer .expHeader:active {
	color: #fff;
	background: #02024a;
}

.expContainer .expContent {
    display: none;
    padding : 5px;
    background: #FFFFFF;
	filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#FAFAFA', endColorstr='#E9E9E9');
	-ms-filter: "progid:DXImageTransform.Microsoft.gradient(startColorstr='#FAFAFA', endColorstr='#E9E9E9')";		
	border: 1px solid #CCC;
	-webkit-border-bottom-left-radius: 4px;
	-webkit-border-bottom-right-radius: 4px;
	-moz-border-radius-bottomleft: 4px;
	-moz-border-radius-bottomright: 4px;
	border-bottom-left-radius: 4px;
	border-bottom-right-radius: 4px;
	-webkit-background-clip: padding-box;
	-moz-box-shadow: inset 0 1px 0 rgba(255,255,255,1);
	-webkit-box-shadow: inset 0 1px 0 rgba(255,255,255,1);
	box-shadow: inset 0 1px 0 rgba(255,255,255,1);


}
/*------------------------- Expand and collapse upload panel -- End --------------------*/
/*------------------------- Whole content wrapper (Header Pages) -- Start ------------------*/
.divMainWrapper_01 {
    padding: 15px;
	position: relative;
    display:block;
    width: 82vw;
    height:100vh;
    margin: 0 auto;
    /*overflow:auto;*/
    overflow-y:scroll;
    white-space: nowrap;
    font-family: Calibri;
}
.divSubWrapper_01
{
	width: auto;
    height: auto; 
}
.divGridWrapper_01 {
    width:auto; 
    height:90%; 
    /*overflow:auto;*/
}
.divSubDetailsWrapper_01
{
	width: 92%;
    height: 600px; 
	position: relative;
    display:block;
    height: 626px;
    overflow-y:scroll;
    font-family: Calibri;
}
/*------------------------- Whole content wrapper (Header Pages) -- End ------------------*/
/*------------------------- Whole content wrapper (Deails Pages) -- Start ------------------*/
.divWrapper_01
{
	padding: 15px;
	position: relative;
    display:block;
    height: 626px;
    overflow-y:scroll;
    font-family: Calibri;
    /*margin-right: -17px;*/
}
/*------------------------- Whole content wrapper (Deails Pages) -- End ------------------*/

/*------------------------- Detail Table -- Start ------------------*/
.tableStyle_01
{
    width: 100%;
    font-family: Calibri;
    padding: 4px 20px;
    color: #03014A;
    font-size: 15px;
    text-transform: uppercase;
    font-weight: bold;
    border-collapse: collapse;
}
/*------------------------- Detail Table -- End ------------------*/
/*------------------------- Image slider with thumbnails -- Start ------------------*/
.slider{
    margin: auto;
    width: 50%;
    text-align: center;
    height: auto;
	position: relative;
	/*Instead of height we will use padding*/
	padding-top: 475px; /*That helps bring the labels down*/
	margin: 0px auto;
	/*Lets add a shadow*/
    /*box-shadow: 0 10px 20px -5px rgba(0, 0, 0, 0.75);*/
    color: #02024a;
    text-transform:uppercase;
    font-family: Calibri;
    font-size: 15px;
    font-weight: bold;
}

/*Last thing remaining is to add transitions*/
.slider>img{
	position: absolute;
	left: 0; 
    top: 0;
    transition: all 0.1s;
}

.slider input[name='slide_switch'] {
	display: none;
}

.slider label {
	/*Lets add some spacing for the thumbnails*/
	margin: 18px 0 0 18px;
	border: 3px solid #999;
	cursor: pointer;
	transition: all 0.5s;
	
	/*Default style = low opacity*/
	opacity: 0.6;
}

.slider label img{
	display: block;
}

/*Time to add the click effects*/
.slider input[name='slide_switch']:checked+label {
	border-color: #02024a;
	opacity: 1;
}
/*Clicking any thumbnail now should change its opacity(style)*/
/*Time to work on the main images*/
.slider input[name='slide_switch'] ~ img {
	opacity: 0;
	transform: scale(1.1);
}
/*That hides all main images at a 110% size
On click the images will be displayed at normal size to complete the effect
*/
.slider input[name='slide_switch']:checked+label+img {
	opacity: 1;
	transform: scale(1);
}
.displayedImg {
    padding-left: 0%;
}
/*------------------------- Image slider with thumbnails -- End ------------------*/
/*------------------------- Form Components (DIVs, Text boxes) -- Start ------------------*/
.divForm {
    background-color: white;
    height:auto!important;
    border: 1px solid #02024a; 
}
.divForm > h1 {
    background-color: #02024a; 
    margin: 0; 
    padding: 10px;
    color: #fff;
    text-transform:uppercase;
    font-family: Calibri;
    font-size: 15px;
    font-weight: bold;
}
.divForm > .content {
    padding: 10px; 
    height:inherit;
}
.divFormSubWrapper {
    padding-left: 10px;
    padding-right: 10px;
}
.txtBoxes, .txtDatePicker {
    width: 100%;
    padding: 4px 4px;
    margin: 3px 0;
    display: inline-block;
    border: 1px solid #02024a;
    border-radius: 2px;
    box-sizing: border-box;
    background-color: #fff;
    font-family: Calibri;
    font-size: 15px;
    font-weight: bold;
}
.txtBoxesInput {
    width: 100%;
    padding: 4px 4px;
    margin: 3px 0;
    display: inline-block;
    border: 1px solid #02024a;
    border-radius: 2px;
    box-sizing: border-box;
    background-color: #fff;
    font-family: Calibri;
    font-size: 15px;
    font-weight: bold;
}
.txtBoxes:focus, .txtBoxesInput:focus, .txtDatePicker:focus {
  box-shadow: 0 0 5px rgba(2, 2, 74, 1);
  padding: 4px 4px;
  margin: 3px 0;
  border: 1px solid rgba(2, 2, 74, 1);
}
.txtBoxes:enabled:hover, .txtDatePicker:enabled:hover {
    cursor: pointer;
}
.txtBoxesInput:enabled:hover {
    cursor: text;
}
.txtBoxes:disabled:hover, txtBoxesInput:disabled:hover {
    cursor: not-allowed;
}
/*------------------------- Form Components (DIVs, Text boxes) -- End ------------------*/
/*------------------------- Table Column Color Indicator --Start ------------------*/
.errorAqua {
	width: 20px;
	height: 20px;
	background: aqua;
    border-radius: 50%;
}
.errorYellow {
	width: 20px;
	height: 20px;
	background: yellow;
    border-radius: 50%;
}
.errorCyan {
	width: 20px;
	height: 20px;
	background: cyan;
    border-radius: 50%;
}
.errorLightBlue {
	width: 20px;
	height: 20px;
	background: lightblue;
    border-radius: 50%;
}
.errorGreen {
	width: 20px;
	height: 20px;
	background: green;
    border-radius: 50%;
}
.errorRed {
	width: 20px;
	height: 20px;
	background: red;
    border-radius: 50%;
}
.errorPink {
	width: 20px;
	height: 20px;
	background: pink;
    border-radius: 50%;
}
.errorLightGray {
	width: 20px;
	height: 20px;
	background: lightgray;
    border-radius: 50%;
}
.errorBlue {
	width: 20px;
	height: 20px;
	background: blue;
    border-radius: 50%;
}
/*------------------------- Table Column Color Indicator --End ------------------*/
